import 'package:better_player/better_player.dart';
import 'package:flutter/cupertino.dart';
import 'package:nui_media/model/nui_media_file.dart';
import 'package:nui_media/nui_media_util.dart';

class NUIVideoPlayerList extends StatefulWidget {
  NUIVideoPlayerList({@required this.mediaFiles, this.configuration, this.configurations});
  final List<NUIMediaFile> mediaFiles;
  final BetterPlayerConfiguration configuration;
  final BetterPlayerPlaylistConfiguration configurations;
  @override
  _NUIVideoPlayerListState createState() => _NUIVideoPlayerListState();
}

class _NUIVideoPlayerListState extends State<NUIVideoPlayerList> {
  @override
  Widget build(BuildContext context) {
    return BetterPlayerPlaylist(
      betterPlayerConfiguration: widget.configuration ?? BetterPlayerConfiguration(),
      betterPlayerPlaylistConfiguration: widget.configurations ?? BetterPlayerPlaylistConfiguration(),
      betterPlayerDataSourceList: NUIMediaUtil.dataSourceFromNUIMedias(widget.mediaFiles),
    );
  }
}
